OpenVDB: D2< CD_SIXTH > Struct Reference

OpenVDB 7.0.0

Static Public Member Functions | List of all members
D2< CD_SIXTH > Struct Reference

`#include <FiniteDifference.h>`

## Static Public Member Functions
template<typename ValueType >
static ValueType | difference (const ValueType &xp3, const ValueType &xp2, const ValueType &xp1, const ValueType &xp0, const ValueType &xm1, const ValueType &xm2, const ValueType &xm3)
template<typename ValueType >
static ValueType | crossdifference (const ValueType &xp1yp1, const ValueType &xm1yp1, const ValueType &xp1ym1, const ValueType &xm1ym1, const ValueType &xp2yp1, const ValueType &xm2yp1, const ValueType &xp2ym1, const ValueType &xm2ym1, const ValueType &xp3yp1, const ValueType &xm3yp1, const ValueType &xp3ym1, const ValueType &xm3ym1, const ValueType &xp1yp2, const ValueType &xm1yp2, const ValueType &xp1ym2, const ValueType &xm1ym2, const ValueType &xp2yp2, const ValueType &xm2yp2, const ValueType &xp2ym2, const ValueType &xm2ym2, const ValueType &xp3yp2, const ValueType &xm3yp2, const ValueType &xp3ym2, const ValueType &xm3ym2, const ValueType &xp1yp3, const ValueType &xm1yp3, const ValueType &xp1ym3, const ValueType &xm1ym3, const ValueType &xp2yp3, const ValueType &xm2yp3, const ValueType &xp2ym3, const ValueType &xm2ym3, const ValueType &xp3yp3, const ValueType &xm3yp3, const ValueType &xp3ym3, const ValueType &xm3ym3)
template<typename Accessor >
static Accessor::ValueType | inX (const Accessor &grid, const Coord &ijk)
template<typename Accessor >
static Accessor::ValueType | inY (const Accessor &grid, const Coord &ijk)
template<typename Accessor >
static Accessor::ValueType | inZ (const Accessor &grid, const Coord &ijk)
template<typename Accessor >
static Accessor::ValueType | inXandY (const Accessor &grid, const Coord &ijk)
template<typename Accessor >
static Accessor::ValueType | inXandZ (const Accessor &grid, const Coord &ijk)
template<typename Accessor >
static Accessor::ValueType | inYandZ (const Accessor &grid, const Coord &ijk)
template<typename Stencil >
static Stencil::ValueType | inX (const Stencil &S)
template<typename Stencil >
static Stencil::ValueType | inY (const Stencil &S)
template<typename Stencil >
static Stencil::ValueType | inZ (const Stencil &S)
template<typename Stencil >
static Stencil::ValueType | inXandY (const Stencil &S)
template<typename Stencil >
static Stencil::ValueType | inXandZ (const Stencil &S)
template<typename Stencil >
static Stencil::ValueType | inYandZ (const Stencil &S)

## Member Function Documentation

## ◆ crossdifference()

static ValueType crossdifference | ( | const ValueType & | xp1yp1,
|  | const ValueType & | xm1yp1,
|  | const ValueType & | xp1ym1,
|  | const ValueType & | xm1ym1,
|  | const ValueType & | xp2yp1,
|  | const ValueType & | xm2yp1,
|  | const ValueType & | xp2ym1,
|  | const ValueType & | xm2ym1,
|  | const ValueType & | xp3yp1,
|  | const ValueType & | xm3yp1,
|  | const ValueType & | xp3ym1,
|  | const ValueType & | xm3ym1,
|  | const ValueType & | xp1yp2,
|  | const ValueType & | xm1yp2,
|  | const ValueType & | xp1ym2,
|  | const ValueType & | xm1ym2,
|  | const ValueType & | xp2yp2,
|  | const ValueType & | xm2yp2,
|  | const ValueType & | xp2ym2,
|  | const ValueType & | xm2ym2,
|  | const ValueType & | xp3yp2,
|  | const ValueType & | xm3yp2,
|  | const ValueType & | xp3ym2,
|  | const ValueType & | xm3ym2,
|  | const ValueType & | xp1yp3,
|  | const ValueType & | xm1yp3,
|  | const ValueType & | xp1ym3,
|  | const ValueType & | xm1ym3,
|  | const ValueType & | xp2yp3,
|  | const ValueType & | xm2yp3,
|  | const ValueType & | xp2ym3,
|  | const ValueType & | xm2ym3,
|  | const ValueType & | xp3yp3,
|  | const ValueType & | xm3yp3,
|  | const ValueType & | xp3ym3,
|  | const ValueType & | xm3ym3
| ) |  |
| inlinestatic

## ◆ difference()

static ValueType difference | ( | const ValueType & | xp3,
|  | const ValueType & | xp2,
|  | const ValueType & | xp1,
|  | const ValueType & | xp0,
|  | const ValueType & | xm1,
|  | const ValueType & | xm2,
|  | const ValueType & | xm3
| ) |  |
| inlinestatic

## ◆ inX() [1/2]

static Accessor::ValueType inX | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inlinestatic

## ◆ inX() [2/2]

static Stencil::ValueType inX | ( | const Stencil & | S | ) |
| inlinestatic

## ◆ inXandY() [1/2]

static Accessor::ValueType inXandY | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inlinestatic

## ◆ inXandY() [2/2]

static Stencil::ValueType inXandY | ( | const Stencil & | S | ) |
| inlinestatic

## ◆ inXandZ() [1/2]

static Accessor::ValueType inXandZ | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inlinestatic

## ◆ inXandZ() [2/2]

static Stencil::ValueType inXandZ | ( | const Stencil & | S | ) |
| inlinestatic

## ◆ inY() [1/2]

static Accessor::ValueType inY | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inlinestatic

## ◆ inY() [2/2]

static Stencil::ValueType inY | ( | const Stencil & | S | ) |
| inlinestatic

## ◆ inYandZ() [1/2]

static Accessor::ValueType inYandZ | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inlinestatic

## ◆ inYandZ() [2/2]

static Stencil::ValueType inYandZ | ( | const Stencil & | S | ) |
| inlinestatic

## ◆ inZ() [1/2]

static Accessor::ValueType inZ | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inlinestatic

## ◆ inZ() [2/2]

static Stencil::ValueType inZ | ( | const Stencil & | S | ) |
| inlinestatic

The documentation for this struct was generated from the following file:

- FiniteDifference.h